*{
    margin: 0;
}

body{
    font-family: "Roboto Serif", serif;
}

.navbar{
    width: 100%;
    height: 50px;
    background-color: black;
}

.navbar-container{
    display: flex;
    align-items: center;
    padding: 0 50px;
    height: 100%;
    color: white;
    font-family: "Roboto Slab", serif;
}

.logo-container{
    flex: 1;
}

.logo{
    
    font-size: 30px;
    color: green;
}

.menu-container{
    flex: 6;
}

.menu-list{
    display: flex;
    list-style: none;

}

.menu-list-item{
    margin-right: 30px;
}

.menu-list-item.active{
    font-weight: bold;
}

.profile-container{
    flex: 2;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.profile-text-container{
    margin: 0 20px;
}

.profile-picture{
    width: 32px;
    height: 32px;
    border-radius: 50%;
    object-fit: cover;
}

.toggle{
    width: 40px;
    height: 20px;
    background-color: white;
    border-radius: 30px;    
    display: flex;
    align-items: center;
    justify-content: space-around;
    position: relative;
}

.toggle-icon{
    color: goldenrod;

}

.toggle-ball{
    width: 18px;
    height: 18px;
    background-color: black;
    position: absolute;
    right: 1px;
    border-radius: 50%;
    cursor: pointer;
    transition: 1s ease all;
}

.sidebar{
    width: 50px;
    height: 100%;
    background-color: black;
    position: fixed;
    top: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 60px;
}

.left-menu-icon{
    color: white;
    font-size: 20px;
    margin-bottom: 50px;
}

.container{
    background-color: #151515;
    min-height: calc(100vh - 50px);
    color: white;

}

.content-container{
    margin-left: 50px;
}

.featured-content{
    height: 50vh;
    padding: 50px;
}

.featured-title{
    width: 200px;

}

.featured-desc{
    width: 50%;
    color: lightgray;
    margin: 30px 0;
}

.featured-button{
    background-color: green;
    color: white;
    padding: 10px 20px;
    border-radius: 10px;
    border: none;
    outline: none;
    font-weight: bold;
}

.movie-list-container{
    padding: 0 20px;
}

.movie-list-wrapper{
    position: relative;
    overflow: hidden;
}

.movie-list{
    display: flex;
    align-items: center;
    height: 300px;   
    transform: translateX(0);
    transition: all 1s ease-in-out; 
    
}

.movie-list-item{
    margin-right: 30px;
    position: relative;
}

.movie-list-item:hover .movie-list-item-img{
    transform: scale(1.2);
    margin: 0 15px;
    opacity: 0.5;
}

.movie-list-item:hover .movie-list-item-title,
.movie-list-item:hover .movie-list-item-desc,
.movie-list-item:hover .movie-list-item-button{
    opacity: 1;
}

.movie-list-item-img{
    width: 270px;
    height: 200px;
    object-fit: cover;
    transition: all 0.7s ease-in-out;
    border-radius: 10px;
}

.movie-list-item-title{
    background-color: #333;
    padding: 0 10px;
    font-size: 27px;
    font-weight: bold;
    position: absolute;
    top: 10%;
    left: 50px;
    opacity: 0;
    transition: 1s all ease-in-out;
}

.movie-list-item-desc{
    background-color: #333;
    padding: 10px;
    font-size: 11px;
    position: absolute;
    top: 30%;
    left: 50px;
    width: 200px;
    opacity: 0;
    transition: 1s all ease-in-out;
}

.movie-list-item-button{
    padding: 10px;
    background-color: green;
    color: white;
    border-radius: 10px;
    outline: none;
    border: none;
    cursor: pointer;
    position: absolute;
    bottom: 10px;
    left: 50px;
    opacity: 0;
    transition: 1s all ease-in-out;
}

.arrow{
    font-size: 120px;
    position: absolute;
    top: 90px;
    right: 0;
    color: lightgray;
    opacity: 0.5;
    cursor: pointer;
}

.container.active{
    background-color: white;

}

.movie-list-title.active{
    color: black;
}


.navbar-container.active{
    background-color: white;
    color: black;
}

.sidebar.active{
    background-color: white;
}

.left-menu-icon.active{
    color: black;
}

.toggle.active{
    background-color: black;
}

.toggle-ball.active{
    background-color: white;
    transform: translateX(-20px);
}

/*basically makes the website responsive. meaning if i shrinked screen to a certain size, the website will adjust itself*/

@media only screen and (max-width: 940px) {
    .menu-container{
        display: none;
    }
}